class_name StandingEnemyBehavior
extends BaseEnemyBehavior

var guard_position : Node2D
	
func _on_return_state_entered() -> void:
	in_moving_state = true
	current_goal = guard_position.global_position
	enemy_nodes.navigation_agent.target_desired_distance = 3
	enemy_nodes.navigation_agent.target_position = current_goal

func _on_idle_state_processing(_delta: float) -> void:
	character_body.current_direction = Vector2(cos(guard_position.rotation), sin(guard_position.rotation))
	character_body.movement_velocity = Vector2(0,0)

func _on_idle_state_entered() -> void:
	in_moving_state = false
